package frame

import (
	"fmt"
)

// Bulber ...
type Bulber interface {
	GetEui() string
	GetOn() bool
	GetBrightness() int
	GetColorTemperature() int
}

// Bulb ...
type Bulb struct {
	Eui              string `json:"eui"`
	On               bool   `json:"on"`
	Brightness       int    `json:"brightness"`
	ColorTemperature int    `json:"colorTemperature"`
}

func (c *Bulb) String() string {
	return fmt.Sprintf(" Eui: %s, On: %v, Brightness: %d, ColorTemperature: %d,", c.Eui, c.On, c.Brightness, c.ColorTemperature)
}

// NewBulb ...
func NewBulb(c Bulber) *Bulb {
	d := &Bulb{
		Eui:              c.GetEui(),
		On:               c.GetOn(),
		Brightness:       c.GetBrightness(),
		ColorTemperature: c.GetColorTemperature(),
	}

	return d
}

// NewBulbsList ...
func NewBulbsList(cs []Bulber) []*Bulb {
	ds := make([]*Bulb, len(cs))
	for i, c := range cs {
		ds[i] = NewBulb(c)
	}
	return ds
}

// Validate ...
func (c *Bulb) Validate() error {
	var err error
	return err
}

// NewBulber ...
func NewBulber(c *Bulb) Bulber {
	return &bulber{
		eui:              c.Eui,
		on:               c.On,
		brightness:       c.Brightness,
		colorTemperature: c.ColorTemperature,
	}
}

type bulber struct {
	eui              string
	on               bool
	brightness       int
	colorTemperature int
}

func (c *bulber) GetEui() string           { return c.eui }
func (c *Bulb) GetEui() string             { return c.Eui }
func (c *bulber) GetOn() bool              { return c.on }
func (c *Bulb) GetOn() bool                { return c.On }
func (c *bulber) GetBrightness() int       { return c.brightness }
func (c *Bulb) GetBrightness() int         { return c.Brightness }
func (c *bulber) GetColorTemperature() int { return c.colorTemperature }
func (c *Bulb) GetColorTemperature() int   { return c.ColorTemperature }
