package frame

// BulbsChangedSubscription ...
type BulbsChangedSubscription struct {
	Bulbs []*Bulb `json:"bulbs"`
}

// NewBulbsChangedSubscription ...
func NewBulbsChangedSubscription(bulbs []Bulber) *Frame {
	return &Frame{BulbsChangedSubscription: &BulbsChangedSubscription{
		Bulbs: NewBulbsList(bulbs),
	}}
}

// Validate ...
func (s *BulbsChangedSubscription) Validate() error {
	var err error
	if s.Bulbs != nil {
		for _, x := range s.Bulbs {
			if err = x.Validate(); err != nil {
				return err
			}
		}
	}
	return err
}
