package frame

// GetBulbsRequest ...
type GetBulbsRequest struct {
}

// GetBulbsResponse ...
type GetBulbsResponse struct {
	Bulbs []*Bulb `json:"bulbs"`
}

// NewGetBulbsRequest ...
func NewGetBulbsRequest() *Frame {
	return &Frame{GetBulbsRequest: &GetBulbsRequest{}}
}

// NewGetBulbsResponse ...
func NewGetBulbsResponse(bulbs []Bulber) *Frame {
	return &Frame{GetBulbsResponse: &GetBulbsResponse{
		Bulbs: NewBulbsList(bulbs),
	}}
}

// Validate ...
func (p *GetBulbsRequest) Validate() error {
	var err error
	return err
}

// Validate ...
func (p *GetBulbsResponse) Validate() error {
	var err error
	if p.Bulbs != nil {
		for _, x := range p.Bulbs {
			if err = x.Validate(); err != nil {
				return err
			}
		}
	}
	return err
}
