
import GetBulbsRequest from './get_bulbs_request_gen';
import GetBulbsResponse from './get_bulbs_response_gen';
import PermitJoiningRequest from './permit_joining_request_gen';
import PermitJoiningResponse from './permit_joining_response_gen';
import StopPermitJoiningRequest from './stop_permit_joining_request_gen';
import StopPermitJoiningResponse from './stop_permit_joining_response_gen';
import TurnOnLightRequest from './turn_on_light_request_gen';
import TurnOnLightResponse from './turn_on_light_response_gen';
import TurnOffLightRequest from './turn_off_light_request_gen';
import TurnOffLightResponse from './turn_off_light_response_gen';
import ChangeBrightnessRequest from './change_brightness_request_gen';
import ChangeBrightnessResponse from './change_brightness_response_gen';
import ChangeColorTemperatureRequest from './change_color_temperature_request_gen';
import ChangeColorTemperatureResponse from './change_color_temperature_response_gen';
import BulbsChangedSubscription from './bulbs_changed_subscription_gen';
import FirmwareUpdateStepSubscription from './firmware_update_step_subscription_gen';
import DongleStatusSubscription from './dongle_status_subscription_gen';


import { Object } from 'orcatech-ipc';

export default class Frame extends Object {

	
	requestGetBulbs = new GetBulbsRequest();
	responseGetBulbs = new GetBulbsResponse();
	requestPermitJoining = new PermitJoiningRequest();
	responsePermitJoining = new PermitJoiningResponse();
	requestStopPermitJoining = new StopPermitJoiningRequest();
	responseStopPermitJoining = new StopPermitJoiningResponse();
	requestTurnOnLight = new TurnOnLightRequest();
	responseTurnOnLight = new TurnOnLightResponse();
	requestTurnOffLight = new TurnOffLightRequest();
	responseTurnOffLight = new TurnOffLightResponse();
	requestChangeBrightness = new ChangeBrightnessRequest();
	responseChangeBrightness = new ChangeBrightnessResponse();
	requestChangeColorTemperature = new ChangeColorTemperatureRequest();
	responseChangeColorTemperature = new ChangeColorTemperatureResponse();

	
	subscriptionBulbsChanged = new BulbsChangedSubscription();
	subscriptionFirmwareUpdateStep = new FirmwareUpdateStepSubscription();
	subscriptionDongleStatus = new DongleStatusSubscription();

}
